<template>
  <add v-if="!task.isDeadlined && !task.isDate" :task="task" />
  <!-- <remove v-else :task="task" /> -->
</template>

<script lang=ts>
import Task from "@/models/Task";
import Add from "./Add.vue";
import Remove from "./Remove.vue";

export default {
  components: { Add, Remove },
  props: {
    task: {
      type: Task,
      required: true,
    },
  },
};
</script>